# Klaviyo Marketplace

When submitting your app to the Klaviyo marketplace, you'll need to provide two critical URLs:

### 1. OAuth Installation URL

The OAuth Installation URL initiates the connection flow when users install your app from the Klaviyo marketplace.

**Base URL Format**

Choose the appropriate base URL for your environment:

**Sandbox Environment:**

```
https://exmart.sandbox.pandium.io/v1/connect/<account_name>/<integration_name>
```

**Production Environment:**

```
https://exmart.pandium.io/v1/connect/<account_name>/<integration_name>
```

Replace `<account_name>` and `<integration_name>` with your specific values.

#### Query Parameters

Add the following query parameters to your OAuth Installation URL:

**Connector** (required)

* This is used to determin which connectors will be linked and in what order
* Add multiple `connector` parameters to connect services sequentially.
  * Example: `?connector=magento&connector=Klaviyo` means this will connect Magento first and then Klaviyo

**landing\_url** (required)

* Specifies where users are redirected after completing the installation
* Pandium will append additional query parameters to handle tenant linking
* Format: `?landing_url=<marketplace_url>`
  * Example: `?landing_url=https://webstage.magento.dev/app/merchant/#/Integrations/Store`

### 2. Settings URL

The Settings URL is used to route to the user's tenant settings after the application is installed.

**Format**

Add the `display=settings` query parameter to your marketplace URL:

```
<marketplace_url>?display=settings
```

**Example**

{% code overflow="wrap" %}

```
https://gwtech.io.pandium.com/integrations?integration_id=1121&display=settings
```

{% endcode %}

If you want the tenant list page for your integration, then either omit the display param (since this is default behavior) or can use `display=list`

{% code overflow="wrap" %}

```
https://gwtech.io.pandium.com/integrations?integration_id=1121
```

{% endcode %}

or

```
https://gwtech.io.pandium.com/integrations?integration_id=1121?display=list
```

### Need Help?

If you encounter issues during the listing process, please feel free to contact your Pandium Technical Account Manager for assistance.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandium.com/marketplaces/listing-in-external-marketplaces/klaviyo-marketplace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
